from flask import Flask
import os
import mysql.connector

app = Flask(__name__)


# ====================================Routes====================================

@app.route("/")
def hello_world():
    create_table()
    return "<p>Hello, World!</p>"


# ====================================Database====================================

def connect_to_database():
    return mysql.connector.connect(
        host=os.environ.get('DB_HOST'),
        user=os.environ.get('DB_USER'),
        password=os.environ.get('DB_PASS'),
        database=os.environ.get('DB_NAME'),
        port="3306"  # Added the missing comma before this line
    )

def create_table():
    conn = connect_to_database()
    # Test Connection
    try:
        conn.ping()
        print("Connected to the database")
    except:
        print("Could not connect to the database")
        return  # Ensure we don't proceed if the connection failed

    cursor = conn.cursor()
    cursor.execute("""
        CREATE TABLE IF NOT EXISTS restaurants (
            id INT AUTO_INCREMENT PRIMARY KEY,
            name VARCHAR(255),
            email VARCHAR(255),
            restaurant VARCHAR(255)
        )""")
    conn.commit()
    conn.close()

def insert_test_data():
    conn = connect_to_database()
    cursor = conn.cursor()
    cursor.execute("""
        INSERT INTO restaurants (name, email, restaurant)
        VALUES ('John Doe', '[email protected]', 'Doe\'s Diner')""")
    conn.commit()
    conn.close()

